Subversive 1.1.x for Eclipse 3.2/Callisto

ivinnykov
Posts: 473
Joined: Tue Jan 03, 2006 11:57 am
Location: Kharkiv, Ukraine

Subversive 1.1.x for Eclipse 3.2/Callisto

Postby ivinnykov » Thu Aug 24, 2006 12:06 am

Hello Subversive Community,

In order to support new Eclipse 3.2/Callisto features we split Subversive development on two streams: 1.0.x and 1.1.x.

Stream 1.0.x is oriented to support Eclipse 3.0 and later versions, including Eclipse 3.2, but it doesn’t include new features of Eclipse 3.2. We don’t plan active development of 1.0.x in near future. Most likely we will release a few bugfix versions in this stream.

Active development now is switched to 1.1.x stream, which introduces Eclipse 3.2 specific features. This stream works only with Eclipse 3.2 and we suggest switch to it for people, who use Eclipse 3.2. We appreciate a lot to people, which helped us to make version for Eclipse 3.2 early. Alessandro Nistico did a great job for change sets support and Panagiotis Korros nicely improved plugin activation. Thank you and look forward for your help in future.

Please note that other important changes were included to 1.1.x stream. First is architecture improvements related with introducing special layers, which can be used by other plugins for integration. Second is creation interface, which allows switching between different client libraries - JavaSVN and JavaHL. Subversive functionality slightly differs depending on used client library, because some extended features now are included only to JavaSVN. Note that currently it's not possible to switch between two client libraries in distributed versions, because JavaHL-based version requires in-depth testing before going public.

Subversive 1.1.x distributions

http://www.polarion.org/projects/subversive/download/1.1/update-site/ - Update Site
http://www.polarion.org/index.php?page=download&project=subversive - Archived Update Site and Source Code downloads

Please note that 1.1.x stream has own update site, with different URL then previously used. So in order to upgrade from previous versions to 1.1.0 M1 you should enter new Update Site URL. Update Site http://www.polarion.org/projects/subversive/download/update-site/ is used for 1.0.x stream and currently contains 1.0.2 version.

Note for code contributors

Development streams split was also reflected in the repository. You can find source code for both streams in following locations:

http://svn.polarion.org/repos/community/Subversive/trunk - 1.1.x stream
http://svn.polarion.org/repos/community/Subversive/branches/1.0.x - 1.0.x stream
Last edited by ivinnykov on Tue Nov 27, 2007 2:13 pm, edited 3 times in total.
Best regards,
Igor Vinnykov
Polarion Team

dea
Posts: 4
Joined: Thu Mar 15, 2007 7:10 pm

SVN 1.4 question

Postby dea » Thu Mar 15, 2007 7:51 pm

from release notes for Subversion 1.1:

Subversive supports Subversion versions 1.1, 1.2, 1.3 and 1.4 (with Native 1.4.3 and
SVNKit 1.1.1 clients only).


does this mean that default JavaSVN client will not work with Subversion 1.4?

ivinnykov
Posts: 473
Joined: Tue Jan 03, 2006 11:57 am
Location: Kharkiv, Ukraine

Postby ivinnykov » Fri Mar 16, 2007 9:12 am

Dear dea,

Yes, that's right. If you want to use SVN 1.4 you should choose SVN Kit or Native JavaHL in Window > Preferences > Team > SVN > SVN Client. Subversive Default client JavaSVN 1.0.4 doesn't provide SVN 1.4 support.
Best regards,

Igor Vinnykov

Polarion Team


Return to “Polarion Subversive - Eclipse Client for SVN”

Who is online

Users browsing this forum: No registered users and 5 guests